Remove remaining ContentHandler deprecated functions and hooks
Closed, ResolvedPublic

Description

So, extensions have all been cleaned up, there's just T147924 that needs addressing before removing the rest of the ContentHandler functions and hooks from core

A couple have mostly been removed, just need some followup documentation cleanup

Hooks:

  • ArticleAfterFetchContent (Still mentioned in hooks.txt, code removed, but not in RELEASE-NOTES or HISTORY)
  • ArticleInsertComplete
  • ArticleSave
  • ArticleSaveComplete
  • ArticleViewCustom (Still mentioned in hooks.txt)
  • EditFilterMerged
  • EditPageGetPreviewText
  • TitleIsCssOrJsPage
  • TitleIsWikitextPage

Functions:

  • Article::getContent()
  • Article::doEdit() / WikiPage::doEdit()
  • Revision::getText()

The rest of the hooks and function on T145728 should be marked as removed on the mediawiki.org Hook manual pages

Reedy created this task.Jan 3 2017, 5:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2017, 5:28 PM
Reedy updated the task description. (Show Details)Jan 3 2017, 9:53 PM
Reedy updated the task description. (Show Details)
Reedy updated the task description. (Show Details)Jan 3 2017, 9:57 PM

For GCI this task needs clarification, actual pointers to docs (how to deprecate etc), clarified expectations (patches? wiki page edits? both?)...

According to Reedy hardblocked on T147924 hence moving on workboard

Change 331118 had a related patch set uploaded (by Filip):
Removed deprecated function 'Article::getContent()'

https://gerrit.wikimedia.org/r/331118

Filip claimed this task.Jan 15 2017, 1:21 PM
Filip added a subscriber: MtDu.

@MtDu: WIll clean up functions, I'll do hooks

Change 332150 had a related patch set uploaded (by Filip):
Removed deprecated ContentHandler hooks.

https://gerrit.wikimedia.org/r/332150

Filip removed Filip as the assignee of this task.Jan 15 2017, 9:08 PM
Filip added a subscriber: Filip.

@Reedy - I tought we removed all of these usages in these MW tasks. Can you join IRC?

Filip claimed this task.Jan 15 2017, 9:08 PM
In T154498#2941747, @FilipGCI wrote:

@Reedy - I tought we removed all of these usages in these MW tasks. Can you join IRC?

We probably did. I'm not 100% sure, as my clones on my laptop aren't upto date. AFAIK, when we did the old branches, that was all that was left?

Filip added a comment.Jan 18 2017, 9:21 PM

@MtDu: Patch got merged - Can you take care of remaining functions?

Change 332150 merged by jenkins-bot:
Removed deprecated ContentHandler hooks.

https://gerrit.wikimedia.org/r/332150

Change 329336 had a related patch set uploaded (by Reedy):
Remove deprecated function Article::doEdit()

https://gerrit.wikimedia.org/r/329336

MtDu updated the task description. (Show Details)Jan 18 2017, 11:16 PM

@FilipGCI @Reedy
I just updated documentation for all the hooks.
@Reedy
Could you check on the other functions and give the final axe? Does any documentation need to be updated there?

Change 332931 had a related patch set uploaded (by Reedy):
Article::getContent() was removed

https://gerrit.wikimedia.org/r/332931

Change 332933 had a related patch set uploaded (by Reedy):
Revision::getText() was removed

https://gerrit.wikimedia.org/r/332933

Change 332931 merged by jenkins-bot:
Article::getContent() was removed

https://gerrit.wikimedia.org/r/332931

Change 332933 merged by jenkins-bot:
Revision::getText() was removed

https://gerrit.wikimedia.org/r/332933

Reedy updated the task description. (Show Details)Jan 19 2017, 2:40 AM
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Is this now Resolved?

Change 329336 merged by jenkins-bot:
Remove deprecated function Article::doEdit() and WikiPage::doEdit()

https://gerrit.wikimedia.org/r/329336

Reedy closed this task as Resolved.Jan 19 2017, 3:17 AM

Change 333292 had a related patch set uploaded (by Filip):
Added release notes for 'ContentHandler::runLegacyHooks'.

https://gerrit.wikimedia.org/r/333292

Change 333292 merged by jenkins-bot:
Added release notes for 'ContentHandler::runLegacyHooks' removal

https://gerrit.wikimedia.org/r/333292

Change 331118 abandoned by Reedy:
Removed deprecated function 'Article::getContent()'

https://gerrit.wikimedia.org/r/331118